package org.ajnb.controller;

import org.ajnb.service.BiddingInfoService;
import org.ajnb.vo.BiddingInfoVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("BiddingInfo")
public class BiddingInfoController {

    @Autowired
    private BiddingInfoService biddingInfoService;

    @RequestMapping("QueryAll")
    public List<BiddingInfoVO> QueryAll(){
        return biddingInfoService.queryAllBiddingInfo();
    }

    @RequestMapping("QueryMultCondition")
    public List<BiddingInfoVO> QueryMultCondition(BiddingInfoVO biddingInfoVO){
        return biddingInfoService.queryBiddingInfoByMultCondition(biddingInfoVO);
    }

    @RequestMapping("DeleteById")
    public void DeleteById(BiddingInfoVO biddingInfoVO){
        biddingInfoService.deleteBiddingInfoById(biddingInfoVO);
    }
}
